Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.versioning
Enum RestoreStateOption.State

    java.lang.Object
      java.lang.Enum<RestoreStateOption.State>
          com.ibm.workplace.wcm.api.versioning.RestoreStateOption.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RestoreStateOption.State>

Enclosing class:
  RestoreStateOption

    public static enum RestoreStateOption.State

extends java.lang.Enum<RestoreStateOption.State>

State to restore as

Enum Constant Summary
`Draft` Restore item as a draft
`Draft_In_Project` restore item as a draft in a project
`None` Default: no preference of restored state
`Published` Restore item in published state

Method Summary
`static RestoreStateOption.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RestoreStateOption.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Published

    public static final RestoreStateOption.State Published

  Restore item in published state

### Draft

    public static final RestoreStateOption.State Draft

  Restore item as a draft

### Draft_In_Project

    public static final RestoreStateOption.State Draft_In_Project

  restore item as a draft in a project

### None

    public static final RestoreStateOption.State None

  Default: no preference of restored state

Method Detail

### values

    public static RestoreStateOption.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RestoreStateOption.State c : RestoreStateOption.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RestoreStateOption.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD